<?php

namespace Drupal\layout_builder_section_variations\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\Core\Entity\Annotation\ConfigEntityType;

/**
 * Defines the Section Variation entity.
 *
 * @ConfigEntityType(
 *   id = "section_variation",
 *   label = @Translation("Section Variation"),
 *   handlers = {
 *     "list_builder" = "Drupal\layout_builder_section_variations\Controller\SectionVariationListBuilder",
 *     "form" = {
 *       "add" = "Drupal\layout_builder_section_variations\Form\SectionVariationForm",
 *       "edit" = "Drupal\layout_builder_section_variations\Form\SectionVariationForm",
 *       "delete" = "Drupal\layout_builder_section_variations\Form\SectionVariationDeleteForm"
 *     },
 *   },
 *   admin_permission = "administer layout builder section variations",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *   },
 *   links = {
 *     "edit-form" = "/admin/structure/layout_builder_section_variation/{section_variation}",
 *     "delete-form" = "/admin/structure/layout_builder_section_variation/{section_variation}/delete",
 *   },
 * )
 */
final class SectionVariation extends ConfigEntityBase
  implements SectionVariationInterface {

  /**
   * The Section Variation ID.
   *
   * @var string
   */
  protected string $id;

  /**
   * The Section Variation label.
   *
   * @var string
   */
  protected string $label;

}
